Skip to content
Myra AI Workspace Tenant Manual Updated · 01 Sep 2026

Getting the analytics of a tenant

Note

The Admin API requires no token. The Admin API is typically protected at the network level.

Send the request as GET to the path /admin/v1/tenants/{tenant_id}/analytics.

Description

Returns a time-series of request metrics and the top models by request volume for a specific tenant. Suitable for the analytics detail panel.

Request

The following parameters are available:

Parameter In Type Required Description
tenant_id path string yes ID of the tenant.
since query integer no Return data for requests at or after this Unix millisecond timestamp.
bucket query string no Bucket size for the time-series.
n query integer no Number of time-series buckets to return.

Example

Example of the response body:

{
  "timeseries": [
    {
      "ts": 0,
      "requests": 0,
      "blocked": 0,
      "cost_usd": 0.0
    }
  ],
  "top_models": [
    {
      "model": "string",
      "provider": "string",
      "requests": 0
    }
  ]
}

Responses

The endpoint answers the request with the following status codes:

Status code Description
200 Tenant analytics data.